grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.26-22-g5b89002


From: Paul Eggert
Subject: grep branch, master, updated. v2.26-22-g5b89002
Date: Sat, 19 Nov 2016 09:18:35 +0000 (UTC)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  5b8900267ff93688fad2a7ab0b25dc57b42ea9e7 (commit)
       via  e25ea1223d0fb50e759907cdd88e8096b354cbab (commit)
       via  fc6fce9a16bc52aca11cd8f1ad2632943fe94201 (commit)
       via  2a45b2fbe2ca6d2d6c161d1593511b92d9e4640e (commit)
       via  2389e561ad0252ab5ea62ab53f19cae0a00ec794 (commit)
       via  4fa6f48b573267e758650e114ec158d97916411e (commit)
       via  80c97aa06e8f0320ff397a74a018eadc6a21f5fa (commit)
       via  c87daf6fdcaa116308663047c2e4fb8ff38011c7 (commit)
       via  8b24c7008aadf62bd6803778ab04fdd065d573d8 (commit)
      from  641643e609c7cd4fd2898b3423d3c7ad3106f2e4 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=5b8900267ff93688fad2a7ab0b25dc57b42ea9e7


commit 5b8900267ff93688fad2a7ab0b25dc57b42ea9e7
Author: Paul Eggert <address@hidden>
Date:   Sat Nov 19 01:02:08 2016 -0800

    grep -f /dev/null -L PAT FILE outputs FILE
    
    * NEWS: Document this.
    * src/grep.c (main): Do not exit right away with -L.
    * tests/skip-read: Test for the fix.

diff --git a/NEWS b/NEWS
index 06a186a..29a0e8d 100644
--- a/NEWS
+++ b/NEWS
@@ -14,6 +14,8 @@ GNU grep NEWS                                    -*- outline 
-*-
   more cautious about special patterns like (?-m) and (*FAIL).
   [bug introduced in grep-2.23]
 
+  grep -m0 -L PAT FILE now outputs "FILE".  [bug introduced in grep-2.5]
+
   grep's use of getprogname no longer causes a build failure on HP-UX.
 
 ** Improvements
diff --git a/src/grep.c b/src/grep.c
index 066df8c..a794af4 100644
--- a/src/grep.c
+++ b/src/grep.c
@@ -2818,8 +2818,9 @@ main (int argc, char **argv)
 
   /* If it is easy to see that matching cannot succeed (e.g., 'grep -f
      /dev/null'), fail without reading the input.  */
-  if (max_count == 0
-      || (keycc == 0 && out_invert && !match_lines && !match_words))
+  if ((max_count == 0
+       || (keycc == 0 && out_invert && !match_lines && !match_words))
+      && list_files != LISTFILES_NONMATCHING)
     return EXIT_FAILURE;
 
   if (color_option == 2)
diff --git a/tests/skip-read b/tests/skip-read
index 627d362..1eef87e 100755
--- a/tests/skip-read
+++ b/tests/skip-read
@@ -5,11 +5,20 @@
 
 fail=0
 
+echo /dev/null >exp || framework_failure_
+
 for opts in '-m0 y' '-f /dev/null' '-v ""'; do
   for matcher in '' -E -F; do
-    eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
-    compare /dev/null out || fail=1
+    for file in /dev/null no-such-file; do
+      eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
+      compare /dev/null out || fail=1
+      eval returns_ 1 grep -l $opts $matcher /dev/null > out || fail=1
+      compare /dev/null out || fail=1
+    done
+    eval returns_ 1 grep -L $opts $matcher /dev/null > out || fail=1
+    compare exp out || fail=1
   done
 done
 
+
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=e25ea1223d0fb50e759907cdd88e8096b354cbab


commit 5b8900267ff93688fad2a7ab0b25dc57b42ea9e7
Author: Paul Eggert <address@hidden>
Date:   Sat Nov 19 01:02:08 2016 -0800

    grep -f /dev/null -L PAT FILE outputs FILE
    
    * NEWS: Document this.
    * src/grep.c (main): Do not exit right away with -L.
    * tests/skip-read: Test for the fix.

diff --git a/NEWS b/NEWS
index 06a186a..29a0e8d 100644
--- a/NEWS
+++ b/NEWS
@@ -14,6 +14,8 @@ GNU grep NEWS                                    -*- outline 
-*-
   more cautious about special patterns like (?-m) and (*FAIL).
   [bug introduced in grep-2.23]
 
+  grep -m0 -L PAT FILE now outputs "FILE".  [bug introduced in grep-2.5]
+
   grep's use of getprogname no longer causes a build failure on HP-UX.
 
 ** Improvements
diff --git a/src/grep.c b/src/grep.c
index 066df8c..a794af4 100644
--- a/src/grep.c
+++ b/src/grep.c
@@ -2818,8 +2818,9 @@ main (int argc, char **argv)
 
   /* If it is easy to see that matching cannot succeed (e.g., 'grep -f
      /dev/null'), fail without reading the input.  */
-  if (max_count == 0
-      || (keycc == 0 && out_invert && !match_lines && !match_words))
+  if ((max_count == 0
+       || (keycc == 0 && out_invert && !match_lines && !match_words))
+      && list_files != LISTFILES_NONMATCHING)
     return EXIT_FAILURE;
 
   if (color_option == 2)
diff --git a/tests/skip-read b/tests/skip-read
index 627d362..1eef87e 100755
--- a/tests/skip-read
+++ b/tests/skip-read
@@ -5,11 +5,20 @@
 
 fail=0
 
+echo /dev/null >exp || framework_failure_
+
 for opts in '-m0 y' '-f /dev/null' '-v ""'; do
   for matcher in '' -E -F; do
-    eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
-    compare /dev/null out || fail=1
+    for file in /dev/null no-such-file; do
+      eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
+      compare /dev/null out || fail=1
+      eval returns_ 1 grep -l $opts $matcher /dev/null > out || fail=1
+      compare /dev/null out || fail=1
+    done
+    eval returns_ 1 grep -L $opts $matcher /dev/null > out || fail=1
+    compare exp out || fail=1
   done
 done
 
+
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=fc6fce9a16bc52aca11cd8f1ad2632943fe94201


commit 5b8900267ff93688fad2a7ab0b25dc57b42ea9e7
Author: Paul Eggert <address@hidden>
Date:   Sat Nov 19 01:02:08 2016 -0800

    grep -f /dev/null -L PAT FILE outputs FILE
    
    * NEWS: Document this.
    * src/grep.c (main): Do not exit right away with -L.
    * tests/skip-read: Test for the fix.

diff --git a/NEWS b/NEWS
index 06a186a..29a0e8d 100644
--- a/NEWS
+++ b/NEWS
@@ -14,6 +14,8 @@ GNU grep NEWS                                    -*- outline 
-*-
   more cautious about special patterns like (?-m) and (*FAIL).
   [bug introduced in grep-2.23]
 
+  grep -m0 -L PAT FILE now outputs "FILE".  [bug introduced in grep-2.5]
+
   grep's use of getprogname no longer causes a build failure on HP-UX.
 
 ** Improvements
diff --git a/src/grep.c b/src/grep.c
index 066df8c..a794af4 100644
--- a/src/grep.c
+++ b/src/grep.c
@@ -2818,8 +2818,9 @@ main (int argc, char **argv)
 
   /* If it is easy to see that matching cannot succeed (e.g., 'grep -f
      /dev/null'), fail without reading the input.  */
-  if (max_count == 0
-      || (keycc == 0 && out_invert && !match_lines && !match_words))
+  if ((max_count == 0
+       || (keycc == 0 && out_invert && !match_lines && !match_words))
+      && list_files != LISTFILES_NONMATCHING)
     return EXIT_FAILURE;
 
   if (color_option == 2)
diff --git a/tests/skip-read b/tests/skip-read
index 627d362..1eef87e 100755
--- a/tests/skip-read
+++ b/tests/skip-read
@@ -5,11 +5,20 @@
 
 fail=0
 
+echo /dev/null >exp || framework_failure_
+
 for opts in '-m0 y' '-f /dev/null' '-v ""'; do
   for matcher in '' -E -F; do
-    eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
-    compare /dev/null out || fail=1
+    for file in /dev/null no-such-file; do
+      eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
+      compare /dev/null out || fail=1
+      eval returns_ 1 grep -l $opts $matcher /dev/null > out || fail=1
+      compare /dev/null out || fail=1
+    done
+    eval returns_ 1 grep -L $opts $matcher /dev/null > out || fail=1
+    compare exp out || fail=1
   done
 done
 
+
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=2a45b2fbe2ca6d2d6c161d1593511b92d9e4640e


commit 5b8900267ff93688fad2a7ab0b25dc57b42ea9e7
Author: Paul Eggert <address@hidden>
Date:   Sat Nov 19 01:02:08 2016 -0800

    grep -f /dev/null -L PAT FILE outputs FILE
    
    * NEWS: Document this.
    * src/grep.c (main): Do not exit right away with -L.
    * tests/skip-read: Test for the fix.

diff --git a/NEWS b/NEWS
index 06a186a..29a0e8d 100644
--- a/NEWS
+++ b/NEWS
@@ -14,6 +14,8 @@ GNU grep NEWS                                    -*- outline 
-*-
   more cautious about special patterns like (?-m) and (*FAIL).
   [bug introduced in grep-2.23]
 
+  grep -m0 -L PAT FILE now outputs "FILE".  [bug introduced in grep-2.5]
+
   grep's use of getprogname no longer causes a build failure on HP-UX.
 
 ** Improvements
diff --git a/src/grep.c b/src/grep.c
index 066df8c..a794af4 100644
--- a/src/grep.c
+++ b/src/grep.c
@@ -2818,8 +2818,9 @@ main (int argc, char **argv)
 
   /* If it is easy to see that matching cannot succeed (e.g., 'grep -f
      /dev/null'), fail without reading the input.  */
-  if (max_count == 0
-      || (keycc == 0 && out_invert && !match_lines && !match_words))
+  if ((max_count == 0
+       || (keycc == 0 && out_invert && !match_lines && !match_words))
+      && list_files != LISTFILES_NONMATCHING)
     return EXIT_FAILURE;
 
   if (color_option == 2)
diff --git a/tests/skip-read b/tests/skip-read
index 627d362..1eef87e 100755
--- a/tests/skip-read
+++ b/tests/skip-read
@@ -5,11 +5,20 @@
 
 fail=0
 
+echo /dev/null >exp || framework_failure_
+
 for opts in '-m0 y' '-f /dev/null' '-v ""'; do
   for matcher in '' -E -F; do
-    eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
-    compare /dev/null out || fail=1
+    for file in /dev/null no-such-file; do
+      eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
+      compare /dev/null out || fail=1
+      eval returns_ 1 grep -l $opts $matcher /dev/null > out || fail=1
+      compare /dev/null out || fail=1
+    done
+    eval returns_ 1 grep -L $opts $matcher /dev/null > out || fail=1
+    compare exp out || fail=1
   done
 done
 
+
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=2389e561ad0252ab5ea62ab53f19cae0a00ec794


commit 5b8900267ff93688fad2a7ab0b25dc57b42ea9e7
Author: Paul Eggert <address@hidden>
Date:   Sat Nov 19 01:02:08 2016 -0800

    grep -f /dev/null -L PAT FILE outputs FILE
    
    * NEWS: Document this.
    * src/grep.c (main): Do not exit right away with -L.
    * tests/skip-read: Test for the fix.

diff --git a/NEWS b/NEWS
index 06a186a..29a0e8d 100644
--- a/NEWS
+++ b/NEWS
@@ -14,6 +14,8 @@ GNU grep NEWS                                    -*- outline 
-*-
   more cautious about special patterns like (?-m) and (*FAIL).
   [bug introduced in grep-2.23]
 
+  grep -m0 -L PAT FILE now outputs "FILE".  [bug introduced in grep-2.5]
+
   grep's use of getprogname no longer causes a build failure on HP-UX.
 
 ** Improvements
diff --git a/src/grep.c b/src/grep.c
index 066df8c..a794af4 100644
--- a/src/grep.c
+++ b/src/grep.c
@@ -2818,8 +2818,9 @@ main (int argc, char **argv)
 
   /* If it is easy to see that matching cannot succeed (e.g., 'grep -f
      /dev/null'), fail without reading the input.  */
-  if (max_count == 0
-      || (keycc == 0 && out_invert && !match_lines && !match_words))
+  if ((max_count == 0
+       || (keycc == 0 && out_invert && !match_lines && !match_words))
+      && list_files != LISTFILES_NONMATCHING)
     return EXIT_FAILURE;
 
   if (color_option == 2)
diff --git a/tests/skip-read b/tests/skip-read
index 627d362..1eef87e 100755
--- a/tests/skip-read
+++ b/tests/skip-read
@@ -5,11 +5,20 @@
 
 fail=0
 
+echo /dev/null >exp || framework_failure_
+
 for opts in '-m0 y' '-f /dev/null' '-v ""'; do
   for matcher in '' -E -F; do
-    eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
-    compare /dev/null out || fail=1
+    for file in /dev/null no-such-file; do
+      eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
+      compare /dev/null out || fail=1
+      eval returns_ 1 grep -l $opts $matcher /dev/null > out || fail=1
+      compare /dev/null out || fail=1
+    done
+    eval returns_ 1 grep -L $opts $matcher /dev/null > out || fail=1
+    compare exp out || fail=1
   done
 done
 
+
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=4fa6f48b573267e758650e114ec158d97916411e


commit 5b8900267ff93688fad2a7ab0b25dc57b42ea9e7
Author: Paul Eggert <address@hidden>
Date:   Sat Nov 19 01:02:08 2016 -0800

    grep -f /dev/null -L PAT FILE outputs FILE
    
    * NEWS: Document this.
    * src/grep.c (main): Do not exit right away with -L.
    * tests/skip-read: Test for the fix.

diff --git a/NEWS b/NEWS
index 06a186a..29a0e8d 100644
--- a/NEWS
+++ b/NEWS
@@ -14,6 +14,8 @@ GNU grep NEWS                                    -*- outline 
-*-
   more cautious about special patterns like (?-m) and (*FAIL).
   [bug introduced in grep-2.23]
 
+  grep -m0 -L PAT FILE now outputs "FILE".  [bug introduced in grep-2.5]
+
   grep's use of getprogname no longer causes a build failure on HP-UX.
 
 ** Improvements
diff --git a/src/grep.c b/src/grep.c
index 066df8c..a794af4 100644
--- a/src/grep.c
+++ b/src/grep.c
@@ -2818,8 +2818,9 @@ main (int argc, char **argv)
 
   /* If it is easy to see that matching cannot succeed (e.g., 'grep -f
      /dev/null'), fail without reading the input.  */
-  if (max_count == 0
-      || (keycc == 0 && out_invert && !match_lines && !match_words))
+  if ((max_count == 0
+       || (keycc == 0 && out_invert && !match_lines && !match_words))
+      && list_files != LISTFILES_NONMATCHING)
     return EXIT_FAILURE;
 
   if (color_option == 2)
diff --git a/tests/skip-read b/tests/skip-read
index 627d362..1eef87e 100755
--- a/tests/skip-read
+++ b/tests/skip-read
@@ -5,11 +5,20 @@
 
 fail=0
 
+echo /dev/null >exp || framework_failure_
+
 for opts in '-m0 y' '-f /dev/null' '-v ""'; do
   for matcher in '' -E -F; do
-    eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
-    compare /dev/null out || fail=1
+    for file in /dev/null no-such-file; do
+      eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
+      compare /dev/null out || fail=1
+      eval returns_ 1 grep -l $opts $matcher /dev/null > out || fail=1
+      compare /dev/null out || fail=1
+    done
+    eval returns_ 1 grep -L $opts $matcher /dev/null > out || fail=1
+    compare exp out || fail=1
   done
 done
 
+
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=80c97aa06e8f0320ff397a74a018eadc6a21f5fa


commit 5b8900267ff93688fad2a7ab0b25dc57b42ea9e7
Author: Paul Eggert <address@hidden>
Date:   Sat Nov 19 01:02:08 2016 -0800

    grep -f /dev/null -L PAT FILE outputs FILE
    
    * NEWS: Document this.
    * src/grep.c (main): Do not exit right away with -L.
    * tests/skip-read: Test for the fix.

diff --git a/NEWS b/NEWS
index 06a186a..29a0e8d 100644
--- a/NEWS
+++ b/NEWS
@@ -14,6 +14,8 @@ GNU grep NEWS                                    -*- outline 
-*-
   more cautious about special patterns like (?-m) and (*FAIL).
   [bug introduced in grep-2.23]
 
+  grep -m0 -L PAT FILE now outputs "FILE".  [bug introduced in grep-2.5]
+
   grep's use of getprogname no longer causes a build failure on HP-UX.
 
 ** Improvements
diff --git a/src/grep.c b/src/grep.c
index 066df8c..a794af4 100644
--- a/src/grep.c
+++ b/src/grep.c
@@ -2818,8 +2818,9 @@ main (int argc, char **argv)
 
   /* If it is easy to see that matching cannot succeed (e.g., 'grep -f
      /dev/null'), fail without reading the input.  */
-  if (max_count == 0
-      || (keycc == 0 && out_invert && !match_lines && !match_words))
+  if ((max_count == 0
+       || (keycc == 0 && out_invert && !match_lines && !match_words))
+      && list_files != LISTFILES_NONMATCHING)
     return EXIT_FAILURE;
 
   if (color_option == 2)
diff --git a/tests/skip-read b/tests/skip-read
index 627d362..1eef87e 100755
--- a/tests/skip-read
+++ b/tests/skip-read
@@ -5,11 +5,20 @@
 
 fail=0
 
+echo /dev/null >exp || framework_failure_
+
 for opts in '-m0 y' '-f /dev/null' '-v ""'; do
   for matcher in '' -E -F; do
-    eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
-    compare /dev/null out || fail=1
+    for file in /dev/null no-such-file; do
+      eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
+      compare /dev/null out || fail=1
+      eval returns_ 1 grep -l $opts $matcher /dev/null > out || fail=1
+      compare /dev/null out || fail=1
+    done
+    eval returns_ 1 grep -L $opts $matcher /dev/null > out || fail=1
+    compare exp out || fail=1
   done
 done
 
+
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=c87daf6fdcaa116308663047c2e4fb8ff38011c7


commit 5b8900267ff93688fad2a7ab0b25dc57b42ea9e7
Author: Paul Eggert <address@hidden>
Date:   Sat Nov 19 01:02:08 2016 -0800

    grep -f /dev/null -L PAT FILE outputs FILE
    
    * NEWS: Document this.
    * src/grep.c (main): Do not exit right away with -L.
    * tests/skip-read: Test for the fix.

diff --git a/NEWS b/NEWS
index 06a186a..29a0e8d 100644
--- a/NEWS
+++ b/NEWS
@@ -14,6 +14,8 @@ GNU grep NEWS                                    -*- outline 
-*-
   more cautious about special patterns like (?-m) and (*FAIL).
   [bug introduced in grep-2.23]
 
+  grep -m0 -L PAT FILE now outputs "FILE".  [bug introduced in grep-2.5]
+
   grep's use of getprogname no longer causes a build failure on HP-UX.
 
 ** Improvements
diff --git a/src/grep.c b/src/grep.c
index 066df8c..a794af4 100644
--- a/src/grep.c
+++ b/src/grep.c
@@ -2818,8 +2818,9 @@ main (int argc, char **argv)
 
   /* If it is easy to see that matching cannot succeed (e.g., 'grep -f
      /dev/null'), fail without reading the input.  */
-  if (max_count == 0
-      || (keycc == 0 && out_invert && !match_lines && !match_words))
+  if ((max_count == 0
+       || (keycc == 0 && out_invert && !match_lines && !match_words))
+      && list_files != LISTFILES_NONMATCHING)
     return EXIT_FAILURE;
 
   if (color_option == 2)
diff --git a/tests/skip-read b/tests/skip-read
index 627d362..1eef87e 100755
--- a/tests/skip-read
+++ b/tests/skip-read
@@ -5,11 +5,20 @@
 
 fail=0
 
+echo /dev/null >exp || framework_failure_
+
 for opts in '-m0 y' '-f /dev/null' '-v ""'; do
   for matcher in '' -E -F; do
-    eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
-    compare /dev/null out || fail=1
+    for file in /dev/null no-such-file; do
+      eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
+      compare /dev/null out || fail=1
+      eval returns_ 1 grep -l $opts $matcher /dev/null > out || fail=1
+      compare /dev/null out || fail=1
+    done
+    eval returns_ 1 grep -L $opts $matcher /dev/null > out || fail=1
+    compare exp out || fail=1
   done
 done
 
+
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=8b24c7008aadf62bd6803778ab04fdd065d573d8


commit 5b8900267ff93688fad2a7ab0b25dc57b42ea9e7
Author: Paul Eggert <address@hidden>
Date:   Sat Nov 19 01:02:08 2016 -0800

    grep -f /dev/null -L PAT FILE outputs FILE
    
    * NEWS: Document this.
    * src/grep.c (main): Do not exit right away with -L.
    * tests/skip-read: Test for the fix.

diff --git a/NEWS b/NEWS
index 06a186a..29a0e8d 100644
--- a/NEWS
+++ b/NEWS
@@ -14,6 +14,8 @@ GNU grep NEWS                                    -*- outline 
-*-
   more cautious about special patterns like (?-m) and (*FAIL).
   [bug introduced in grep-2.23]
 
+  grep -m0 -L PAT FILE now outputs "FILE".  [bug introduced in grep-2.5]
+
   grep's use of getprogname no longer causes a build failure on HP-UX.
 
 ** Improvements
diff --git a/src/grep.c b/src/grep.c
index 066df8c..a794af4 100644
--- a/src/grep.c
+++ b/src/grep.c
@@ -2818,8 +2818,9 @@ main (int argc, char **argv)
 
   /* If it is easy to see that matching cannot succeed (e.g., 'grep -f
      /dev/null'), fail without reading the input.  */
-  if (max_count == 0
-      || (keycc == 0 && out_invert && !match_lines && !match_words))
+  if ((max_count == 0
+       || (keycc == 0 && out_invert && !match_lines && !match_words))
+      && list_files != LISTFILES_NONMATCHING)
     return EXIT_FAILURE;
 
   if (color_option == 2)
diff --git a/tests/skip-read b/tests/skip-read
index 627d362..1eef87e 100755
--- a/tests/skip-read
+++ b/tests/skip-read
@@ -5,11 +5,20 @@
 
 fail=0
 
+echo /dev/null >exp || framework_failure_
+
 for opts in '-m0 y' '-f /dev/null' '-v ""'; do
   for matcher in '' -E -F; do
-    eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
-    compare /dev/null out || fail=1
+    for file in /dev/null no-such-file; do
+      eval returns_ 1 grep $opts $matcher no-such-file > out || fail=1
+      compare /dev/null out || fail=1
+      eval returns_ 1 grep -l $opts $matcher /dev/null > out || fail=1
+      compare /dev/null out || fail=1
+    done
+    eval returns_ 1 grep -L $opts $matcher /dev/null > out || fail=1
+    compare exp out || fail=1
   done
 done
 
+
 Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 NEWS                    |   13 ++
 src/grep.c              |  322 ++++++++++++++++++++++++++++-------------------
 tests/Makefile.am       |    1 +
 tests/grep-dev-null-out |    3 +-
 tests/skip-read         |   24 ++++
 5 files changed, 232 insertions(+), 131 deletions(-)
 create mode 100755 tests/skip-read


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]